{
  "name": "batch",
  "version": "1.0.0",
  "description": "Service that checks for metadata consistency and triggers jobs to repair problems",
  "main": "source/index.js",
  "license": "AGPL-3.0",
  "type": "module",
  "devDependencies": {
    "chai": "^5.1.2",
    "mocha": "^11.0.1"
  },
  "dependencies": {
    "async": "^3.2.6",
    "build-url": "^6.0.1",
    "hmq-js-client": "*",
    "imagemagick": "^0.1.3",
    "imagemin": "^9.0.0",
    "imagemin-webp": "^8.0.0",
    "mongodb": "^6.12.0",
    "node-fetch": "^3.3.2",
    "prettier": "^3.4.2",
    "prom-client": "^15.1.3",
    "tasks": "*",
    "yargs": "^17.7.2"
  },
  "scripts": {
    "test": "mocha --recursive ./test",
    "start": "node source/index.js"
  },
  "config": {
    "mongodbMemoryServer": {
      "systemBinary": "/usr/bin/mongod",
      "version": "7.0.16"
    }
  }
}
